NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_symlink(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_symlink - Create a symbolic link

## Table Of Contents

## Synopsis

- ns_symlink ?-nocomplain? filename1 filename2

## Description

This command creates a symbolic link named filename2 that points to the file or directory specified by filename1. If the link fails, a Tcl error is generated, unless -nocomplain is specified. This is a legacy command from when Tcl did not have this functionality. It is now recommended you use Tcl's file link command instead.

## COMMANDS

ns_symlink ?-nocomplain? filename1 filename2

       ns_symlink $file1 $file2

is equivalent to:

       file link -symbolic $file1 $file2

## EXAMPLES

       % ns_symlink